<template>
    <div>
        <div class="row mt-5">
            <div class="col-md-10 offset-md-1 offset-2 col-9">
                <h1>Add a new story</h1>
            </div>
        </div>
        <div class="row mt-1">
            <div class="col-md-10 offset-md-1 offset-2 col-9">
                <story-form @content-saved="addStory" :show-error="status==='ERROR'"></story-form>
            </div>
        </div>
    </div>

</template>

<script>
    import StoryForm from "../components/story/StoryForm";

    export default {
        name: "AddStory",
        components: {StoryForm},
        props: {
            slug: {type: String, required: true}

        },
        data() {
            return {
                status: "SAVED"
            }
        },
        methods: {
            addStory(form) {
                this.$http.post('languages/' + this.slug + '/stories', form)
                    .then((response) => {
                        this.$router.push('/languages/' + this.slug + '/stories')
                    }).catch((e) => {
                    this.status = "ERROR"
                });
            }
        }
    }
</script>

